//
//  ViewController.m
//  BodyFatAlgorithmSDK_Demo
//
//  Created by steven wu on 2021/5/24.
//

#import "ViewController.h"
#import <BodyFatAlgorithmSDK/AlgorithmSDK.h>
#import <BodyFatAlgorithmSDK/BfsCalculateSDK.h>

@interface ViewController ()
@property (weak, nonatomic) IBOutlet UILabel *showLabel;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
}

- (void)touchesBegan:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event {

    AlgorithmModel *alg = [AlgorithmSDK getBodyfatWithWeight:50.5 adc:560 sex:(AlgUserSex_Male) age:25 height:175];
    
    BfsCalculateItem *item = [BfsCalculateSDK getBodyfatItemWithSex:(BfsUserSex_Male) height:175 weight:50.5 bfr:alg.bfr rom:alg.rom pp:alg.pp];

    
    NSString *str = [NSString stringWithFormat:@"Test Result:\n\n bfr:%@  sfr:%@\n standardWeight:%.1f \n weightControl:%.1f",alg.bfr, alg.sfr, item.standardWeight, item.weightControl];
    self.showLabel.text = str;

}


@end
